Older CPU with SSE2 will be suported for the next Yuzu Builds?

Blinkhawk Yesterday at 2:18 PM Discord

  • We have gone back to SSE2 base optimizations because it seems there’s still users with over 15 year old CPUs and we have not given an appropriate warning that we will drop compatibility for them. (Note that we don’t explicitly support them). We will discuss this further and likely make an announcement. The rest of the optimizations we applied which made big part of the boost, will remain.

  • About AVX support: we are not planning to do it in the main application (dynarmic generates AVX and further already when needed) As A. it has not shown to make any difference vs SSE4.2 nor B. Intel does not add AVX on Pentium and Celeron series and C. we can always do dynamic code if it turns out beneficial. D. we try to make the GPU do the heavy vectorial stuffs.

@ionelush2001
Great News for the older CPU’s and low end CPU’s.
Sad News for the newer medium and high end CPU’s for Yuzu Mainline.

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.

From our telemetry, only 0.87% of users have CPUs old enough to be affected by this change.
Still some of those CPUs can run light and popular games fine, so it’s under debate internally.

1 Like